<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="pl">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.7"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Robomap: Dokumentacja klasy RobotData</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">Robomap<span id="projectnumber">&#160;0.1</span>
   </div>
   <div id="projectbrief">RM</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Wygenerowano przez Doxygen 1.9.7 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',false,false,'search.php','Szukaj');
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('class_robot_data.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<div class="header">
  <div class="summary">
<a href="#pub-methods">Metody publiczne</a> &#124;
<a href="#pri-attribs">Atrybuty prywatne</a> &#124;
<a href="class_robot_data-members.html">Lista wszystkich składowych</a>  </div>
  <div class="headertitle"><div class="title">Dokumentacja klasy RobotData</div></div>
</div><!--header-->
<div class="contents">

<p>Zbiór wszystkich danych otrzymywanych z robota.  
 <a href="class_robot_data.html#details">Więcej...</a></p>

<p><code>#include &lt;<a class="el" href="_robot_data_8hpp_source.html">RobotData.hpp</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-methods" name="pub-methods"></a>
Metody publiczne</h2></td></tr>
<tr class="memitem:a0007f4b014a950d356d2d63156b572af"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_robot_data.html#a0007f4b014a950d356d2d63156b572af">RobotData</a> ()</td></tr>
<tr class="memdesc:a0007f4b014a950d356d2d63156b572af"><td class="mdescLeft">&#160;</td><td class="mdescRight">Inicjalizuje obiekt <a class="el" href="class_robot_data.html" title="Zbiór wszystkich danych otrzymywanych z robota.">RobotData</a>.  <br /></td></tr>
<tr class="separator:a0007f4b014a950d356d2d63156b572af"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aee64ded96944fd7d61557f566a5c804f"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_robot_data.html#aee64ded96944fd7d61557f566a5c804f">getDistance</a> (unsigned int distance, int index)</td></tr>
<tr class="memdesc:aee64ded96944fd7d61557f566a5c804f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Aktualizuje dane z czujników odległości.  <br /></td></tr>
<tr class="separator:aee64ded96944fd7d61557f566a5c804f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:affa0add6183e662083841442a9976cb3"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_robot_data.html#affa0add6183e662083841442a9976cb3">getCounter</a> (unsigned int counter, int index)</td></tr>
<tr class="memdesc:affa0add6183e662083841442a9976cb3"><td class="mdescLeft">&#160;</td><td class="mdescRight">Aktualizuje dane z transoptorów odbiciowych.  <br /></td></tr>
<tr class="separator:affa0add6183e662083841442a9976cb3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adc9b093e38bfe8ae8eaf3f70e5cacefa"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_robot_data.html#adc9b093e38bfe8ae8eaf3f70e5cacefa">getVelocity</a> (int velocity, int index)</td></tr>
<tr class="memdesc:adc9b093e38bfe8ae8eaf3f70e5cacefa"><td class="mdescLeft">&#160;</td><td class="mdescRight">Aktualizuje prędkości silników.  <br /></td></tr>
<tr class="separator:adc9b093e38bfe8ae8eaf3f70e5cacefa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0e99308bd0a255942711d5a7f5cf9639"><td class="memItemLeft" align="right" valign="top">unsigned int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_robot_data.html#a0e99308bd0a255942711d5a7f5cf9639">returnDistance</a> (int index)</td></tr>
<tr class="memdesc:a0e99308bd0a255942711d5a7f5cf9639"><td class="mdescLeft">&#160;</td><td class="mdescRight">Zwraca odległość danego czujnika.  <br /></td></tr>
<tr class="separator:a0e99308bd0a255942711d5a7f5cf9639"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1dbb990ef5d66e5a48651c30b0183fb7"><td class="memItemLeft" align="right" valign="top">unsigned int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_robot_data.html#a1dbb990ef5d66e5a48651c30b0183fb7">returnCounter</a> (int index)</td></tr>
<tr class="memdesc:a1dbb990ef5d66e5a48651c30b0183fb7"><td class="mdescLeft">&#160;</td><td class="mdescRight">Zwraca wartość danego transoptora odbiciowego.  <br /></td></tr>
<tr class="separator:a1dbb990ef5d66e5a48651c30b0183fb7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac12e26952ade6fa132e489bc0c95b6c2"><td class="memItemLeft" align="right" valign="top">unsigned int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_robot_data.html#ac12e26952ade6fa132e489bc0c95b6c2">returnVelocity</a> (int index)</td></tr>
<tr class="memdesc:ac12e26952ade6fa132e489bc0c95b6c2"><td class="mdescLeft">&#160;</td><td class="mdescRight">Zwraca wypełnienie PWM danego koła.  <br /></td></tr>
<tr class="separator:ac12e26952ade6fa132e489bc0c95b6c2"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Atrybuty prywatne</h2></td></tr>
<tr class="memitem:a9995d73211afe3dc49fd451b2eb04c8b"><td class="memItemLeft" align="right" valign="top">std::mutex&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_robot_data.html#a9995d73211afe3dc49fd451b2eb04c8b">lock</a></td></tr>
<tr class="separator:a9995d73211afe3dc49fd451b2eb04c8b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9a1648c46a58e390becfb98d78cbe491"><td class="memItemLeft" align="right" valign="top">unsigned int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_robot_data.html#a9a1648c46a58e390becfb98d78cbe491">sensors</a> [4]</td></tr>
<tr class="memdesc:a9a1648c46a58e390becfb98d78cbe491"><td class="mdescLeft">&#160;</td><td class="mdescRight">Tablica z odczytami z czujników odległości.  <br /></td></tr>
<tr class="separator:a9a1648c46a58e390becfb98d78cbe491"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3b322c493f67b40e3f118bddf4e0137c"><td class="memItemLeft" align="right" valign="top">unsigned int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_robot_data.html#a3b322c493f67b40e3f118bddf4e0137c">ktir_counters</a> [2]</td></tr>
<tr class="memdesc:a3b322c493f67b40e3f118bddf4e0137c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Tablica z odczytami transoptorów odbiciowych.  <br /></td></tr>
<tr class="separator:a3b322c493f67b40e3f118bddf4e0137c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a93a9102961e0701b95e642ed3b2165e9"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_robot_data.html#a93a9102961e0701b95e642ed3b2165e9">motors_velocity</a> [2]</td></tr>
<tr class="memdesc:a93a9102961e0701b95e642ed3b2165e9"><td class="mdescLeft">&#160;</td><td class="mdescRight">Tablica z prędkościami silników (wypełnienie sygnału PWM)  <br /></td></tr>
<tr class="separator:a93a9102961e0701b95e642ed3b2165e9"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Opis szczegółowy</h2>
<div class="textblock">
<p class="definition">Definicja w linii <a class="el" href="_robot_data_8hpp_source.html#l00017">17</a> pliku <a class="el" href="_robot_data_8hpp_source.html">RobotData.hpp</a>.</p>
</div><h2 class="groupheader">Dokumentacja konstruktora i destruktora</h2>
<a id="a0007f4b014a950d356d2d63156b572af" name="a0007f4b014a950d356d2d63156b572af"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0007f4b014a950d356d2d63156b572af">&#9670;&#160;</a></span>RobotData()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">RobotData::RobotData </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Inicjalizuje obiekt klasy <a class="el" href="class_robot_data.html" title="Zbiór wszystkich danych otrzymywanych z robota.">RobotData</a></p>
<p>Nadaje wszystkim elementom tablic wartość 0. </p>

<p class="definition">Definicja w linii <a class="el" href="_robot_data_8cpp_source.html#l00013">13</a> pliku <a class="el" href="_robot_data_8cpp_source.html">RobotData.cpp</a>.</p>

</div>
</div>
<h2 class="groupheader">Dokumentacja funkcji składowych</h2>
<a id="aee64ded96944fd7d61557f566a5c804f" name="aee64ded96944fd7d61557f566a5c804f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aee64ded96944fd7d61557f566a5c804f">&#9670;&#160;</a></span>getDistance()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void RobotData::getDistance </td>
          <td>(</td>
          <td class="paramtype">unsigned int&#160;</td>
          <td class="paramname"><em>distance</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>index</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<dl class="params"><dt>Parametry</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">distance</td><td>- nowy odczyt </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">index</td><td>- indeks tablicy / numer czujnika </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Definicja w linii <a class="el" href="_robot_data_8hpp_source.html#l00049">49</a> pliku <a class="el" href="_robot_data_8hpp_source.html">RobotData.hpp</a>.</p>
<div class="dynheader">
Oto graf wywoływań tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_robot_data_aee64ded96944fd7d61557f566a5c804f_icgraph.png" border="0" usemap="#aclass_robot_data_aee64ded96944fd7d61557f566a5c804f_icgraph" alt=""/></div>
<map name="aclass_robot_data_aee64ded96944fd7d61557f566a5c804f_icgraph" id="aclass_robot_data_aee64ded96944fd7d61557f566a5c804f_icgraph">
<area shape="rect" title="Aktualizuje dane z czujników odległości." alt="" coords="589,5,748,31"/>
<area shape="rect" href="_serial_port_8cpp.html#a21626d35c8ce984e1085d6224f0ba720" title="Analizuje otrzymaną ramkę danych." alt="" coords="423,5,541,31"/>
<area shape="poly" title=" " alt="" coords="576,21,541,21,541,15,576,15"/>
<area shape="rect" href="class_serial_port.html#af29d6aadc436a6440cfa66fbf8c403ad" title="Odbiera dane z portu." alt="" coords="220,5,375,31"/>
<area shape="poly" title=" " alt="" coords="409,21,375,21,375,15,409,15"/>
<area shape="rect" href="_serial_port_8cpp.html#a6362cdaadde6e3f843a85a3713bb1e0c" title="Funkcja wykonywana przez wątek czytający." alt="" coords="104,5,172,31"/>
<area shape="poly" title=" " alt="" coords="207,21,172,21,172,15,207,15"/>
<area shape="rect" href="main_8cpp.html#a0ddf1224851353fc92bfbff6f499fa97" title=" " alt="" coords="5,5,56,31"/>
<area shape="poly" title=" " alt="" coords="90,21,56,21,56,15,90,15"/>
</map>
</div>

</div>
</div>
<a id="affa0add6183e662083841442a9976cb3" name="affa0add6183e662083841442a9976cb3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#affa0add6183e662083841442a9976cb3">&#9670;&#160;</a></span>getCounter()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void RobotData::getCounter </td>
          <td>(</td>
          <td class="paramtype">unsigned int&#160;</td>
          <td class="paramname"><em>counter</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>index</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<dl class="params"><dt>Parametry</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">counter</td><td>- nowa liczba przejechanych pól planszy </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">index</td><td>- indeks tablicy / numer transoptora </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Definicja w linii <a class="el" href="_robot_data_8hpp_source.html#l00060">60</a> pliku <a class="el" href="_robot_data_8hpp_source.html">RobotData.hpp</a>.</p>
<div class="dynheader">
Oto graf wywoływań tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_robot_data_affa0add6183e662083841442a9976cb3_icgraph.png" border="0" usemap="#aclass_robot_data_affa0add6183e662083841442a9976cb3_icgraph" alt=""/></div>
<map name="aclass_robot_data_affa0add6183e662083841442a9976cb3_icgraph" id="aclass_robot_data_affa0add6183e662083841442a9976cb3_icgraph">
<area shape="rect" title="Aktualizuje dane z transoptorów odbiciowych." alt="" coords="589,5,741,31"/>
<area shape="rect" href="_serial_port_8cpp.html#a21626d35c8ce984e1085d6224f0ba720" title="Analizuje otrzymaną ramkę danych." alt="" coords="423,5,541,31"/>
<area shape="poly" title=" " alt="" coords="575,21,541,21,541,15,575,15"/>
<area shape="rect" href="class_serial_port.html#af29d6aadc436a6440cfa66fbf8c403ad" title="Odbiera dane z portu." alt="" coords="220,5,375,31"/>
<area shape="poly" title=" " alt="" coords="409,21,375,21,375,15,409,15"/>
<area shape="rect" href="_serial_port_8cpp.html#a6362cdaadde6e3f843a85a3713bb1e0c" title="Funkcja wykonywana przez wątek czytający." alt="" coords="104,5,172,31"/>
<area shape="poly" title=" " alt="" coords="207,21,172,21,172,15,207,15"/>
<area shape="rect" href="main_8cpp.html#a0ddf1224851353fc92bfbff6f499fa97" title=" " alt="" coords="5,5,56,31"/>
<area shape="poly" title=" " alt="" coords="90,21,56,21,56,15,90,15"/>
</map>
</div>

</div>
</div>
<a id="adc9b093e38bfe8ae8eaf3f70e5cacefa" name="adc9b093e38bfe8ae8eaf3f70e5cacefa"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adc9b093e38bfe8ae8eaf3f70e5cacefa">&#9670;&#160;</a></span>getVelocity()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void RobotData::getVelocity </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>velocity</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>index</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<dl class="params"><dt>Parametry</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">velocity</td><td>- nowa prędkość (wypełnienie PWM) </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">index</td><td>- indeks tablicy / numer silnika </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Definicja w linii <a class="el" href="_robot_data_8hpp_source.html#l00071">71</a> pliku <a class="el" href="_robot_data_8hpp_source.html">RobotData.hpp</a>.</p>
<div class="dynheader">
Oto graf wywoływań tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_robot_data_adc9b093e38bfe8ae8eaf3f70e5cacefa_icgraph.png" border="0" usemap="#aclass_robot_data_adc9b093e38bfe8ae8eaf3f70e5cacefa_icgraph" alt=""/></div>
<map name="aclass_robot_data_adc9b093e38bfe8ae8eaf3f70e5cacefa_icgraph" id="aclass_robot_data_adc9b093e38bfe8ae8eaf3f70e5cacefa_icgraph">
<area shape="rect" title="Aktualizuje prędkości silników." alt="" coords="589,5,743,31"/>
<area shape="rect" href="_serial_port_8cpp.html#a21626d35c8ce984e1085d6224f0ba720" title="Analizuje otrzymaną ramkę danych." alt="" coords="423,5,541,31"/>
<area shape="poly" title=" " alt="" coords="575,21,542,21,542,15,575,15"/>
<area shape="rect" href="class_serial_port.html#af29d6aadc436a6440cfa66fbf8c403ad" title="Odbiera dane z portu." alt="" coords="220,5,375,31"/>
<area shape="poly" title=" " alt="" coords="409,21,375,21,375,15,409,15"/>
<area shape="rect" href="_serial_port_8cpp.html#a6362cdaadde6e3f843a85a3713bb1e0c" title="Funkcja wykonywana przez wątek czytający." alt="" coords="104,5,172,31"/>
<area shape="poly" title=" " alt="" coords="207,21,172,21,172,15,207,15"/>
<area shape="rect" href="main_8cpp.html#a0ddf1224851353fc92bfbff6f499fa97" title=" " alt="" coords="5,5,56,31"/>
<area shape="poly" title=" " alt="" coords="90,21,56,21,56,15,90,15"/>
</map>
</div>

</div>
</div>
<a id="a0e99308bd0a255942711d5a7f5cf9639" name="a0e99308bd0a255942711d5a7f5cf9639"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0e99308bd0a255942711d5a7f5cf9639">&#9670;&#160;</a></span>returnDistance()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">unsigned int RobotData::returnDistance </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>index</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<dl class="params"><dt>Parametry</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">index</td><td>- indeks tablicy / numer czujnika</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Zwraca</dt><dd>odległość wyrażona w [mm] </dd></dl>

<p class="definition">Definicja w linii <a class="el" href="_robot_data_8hpp_source.html#l00083">83</a> pliku <a class="el" href="_robot_data_8hpp_source.html">RobotData.hpp</a>.</p>
<div class="dynheader">
Oto graf wywoływań tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_robot_data_a0e99308bd0a255942711d5a7f5cf9639_icgraph.png" border="0" usemap="#aclass_robot_data_a0e99308bd0a255942711d5a7f5cf9639_icgraph" alt=""/></div>
<map name="aclass_robot_data_a0e99308bd0a255942711d5a7f5cf9639_icgraph" id="aclass_robot_data_a0e99308bd0a255942711d5a7f5cf9639_icgraph">
<area shape="rect" title="Zwraca odległość danego czujnika." alt="" coords="464,5,637,31"/>
<area shape="rect" href="class_main_window.html#a29e2501ffde7ab9786bd5ab02f055550" title="Aktualizuje dane w każdym widgecie." alt="" coords="229,5,416,31"/>
<area shape="poly" title=" " alt="" coords="450,21,416,21,416,15,450,15"/>
<area shape="rect" href="class_main_window.html#ab956ae0fe06c20af5093977debac8047" title="Inicjalizuje obiekt klasy MainWindow." alt="" coords="5,5,181,31"/>
<area shape="poly" title=" " alt="" coords="216,21,182,21,182,15,216,15"/>
</map>
</div>

</div>
</div>
<a id="a1dbb990ef5d66e5a48651c30b0183fb7" name="a1dbb990ef5d66e5a48651c30b0183fb7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1dbb990ef5d66e5a48651c30b0183fb7">&#9670;&#160;</a></span>returnCounter()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">unsigned int RobotData::returnCounter </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>index</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<dl class="params"><dt>Parametry</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">index</td><td>- indeks tablicy / numer transoptora (0 - lewy, 1 - prawy)</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Zwraca</dt><dd>cyfrowa wartość napięcia na fototranzystorze </dd></dl>

<p class="definition">Definicja w linii <a class="el" href="_robot_data_8hpp_source.html#l00095">95</a> pliku <a class="el" href="_robot_data_8hpp_source.html">RobotData.hpp</a>.</p>
<div class="dynheader">
Oto graf wywoływań tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_robot_data_a1dbb990ef5d66e5a48651c30b0183fb7_icgraph.png" border="0" usemap="#aclass_robot_data_a1dbb990ef5d66e5a48651c30b0183fb7_icgraph" alt=""/></div>
<map name="aclass_robot_data_a1dbb990ef5d66e5a48651c30b0183fb7_icgraph" id="aclass_robot_data_a1dbb990ef5d66e5a48651c30b0183fb7_icgraph">
<area shape="rect" title="Zwraca wartość danego transoptora odbiciowego." alt="" coords="464,5,631,31"/>
<area shape="rect" href="class_main_window.html#a29e2501ffde7ab9786bd5ab02f055550" title="Aktualizuje dane w każdym widgecie." alt="" coords="229,5,416,31"/>
<area shape="poly" title=" " alt="" coords="450,21,416,21,416,15,450,15"/>
<area shape="rect" href="class_main_window.html#ab956ae0fe06c20af5093977debac8047" title="Inicjalizuje obiekt klasy MainWindow." alt="" coords="5,5,181,31"/>
<area shape="poly" title=" " alt="" coords="216,21,182,21,182,15,216,15"/>
</map>
</div>

</div>
</div>
<a id="ac12e26952ade6fa132e489bc0c95b6c2" name="ac12e26952ade6fa132e489bc0c95b6c2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac12e26952ade6fa132e489bc0c95b6c2">&#9670;&#160;</a></span>returnVelocity()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">unsigned int RobotData::returnVelocity </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>index</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<dl class="params"><dt>Parametry</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">index</td><td>- indeks tablicy / numer koła (0 - lewe, 1 - prawe)</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Zwraca</dt><dd>wypełnienie sygnału PWM (może być ujemne, co oznacza obrót w przeciwną stronę) </dd></dl>

<p class="definition">Definicja w linii <a class="el" href="_robot_data_8hpp_source.html#l00108">108</a> pliku <a class="el" href="_robot_data_8hpp_source.html">RobotData.hpp</a>.</p>
<div class="dynheader">
Oto graf wywoływań tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_robot_data_ac12e26952ade6fa132e489bc0c95b6c2_icgraph.png" border="0" usemap="#aclass_robot_data_ac12e26952ade6fa132e489bc0c95b6c2_icgraph" alt=""/></div>
<map name="aclass_robot_data_ac12e26952ade6fa132e489bc0c95b6c2_icgraph" id="aclass_robot_data_ac12e26952ade6fa132e489bc0c95b6c2_icgraph">
<area shape="rect" title="Zwraca wypełnienie PWM danego koła." alt="" coords="464,5,632,31"/>
<area shape="rect" href="class_main_window.html#a29e2501ffde7ab9786bd5ab02f055550" title="Aktualizuje dane w każdym widgecie." alt="" coords="229,5,416,31"/>
<area shape="poly" title=" " alt="" coords="450,21,416,21,416,15,450,15"/>
<area shape="rect" href="class_main_window.html#ab956ae0fe06c20af5093977debac8047" title="Inicjalizuje obiekt klasy MainWindow." alt="" coords="5,5,181,31"/>
<area shape="poly" title=" " alt="" coords="216,21,182,21,182,15,216,15"/>
</map>
</div>

</div>
</div>
<h2 class="groupheader">Dokumentacja atrybutów składowych</h2>
<a id="a9995d73211afe3dc49fd451b2eb04c8b" name="a9995d73211afe3dc49fd451b2eb04c8b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9995d73211afe3dc49fd451b2eb04c8b">&#9670;&#160;</a></span>lock</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::mutex RobotData::lock</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="_robot_data_8hpp_source.html#l00020">20</a> pliku <a class="el" href="_robot_data_8hpp_source.html">RobotData.hpp</a>.</p>

</div>
</div>
<a id="a9a1648c46a58e390becfb98d78cbe491" name="a9a1648c46a58e390becfb98d78cbe491"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9a1648c46a58e390becfb98d78cbe491">&#9670;&#160;</a></span>sensors</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">unsigned int RobotData::sensors[4]</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="_robot_data_8hpp_source.html#l00025">25</a> pliku <a class="el" href="_robot_data_8hpp_source.html">RobotData.hpp</a>.</p>

</div>
</div>
<a id="a3b322c493f67b40e3f118bddf4e0137c" name="a3b322c493f67b40e3f118bddf4e0137c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3b322c493f67b40e3f118bddf4e0137c">&#9670;&#160;</a></span>ktir_counters</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">unsigned int RobotData::ktir_counters[2]</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="_robot_data_8hpp_source.html#l00029">29</a> pliku <a class="el" href="_robot_data_8hpp_source.html">RobotData.hpp</a>.</p>

</div>
</div>
<a id="a93a9102961e0701b95e642ed3b2165e9" name="a93a9102961e0701b95e642ed3b2165e9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a93a9102961e0701b95e642ed3b2165e9">&#9670;&#160;</a></span>motors_velocity</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int RobotData::motors_velocity[2]</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="_robot_data_8hpp_source.html#l00033">33</a> pliku <a class="el" href="_robot_data_8hpp_source.html">RobotData.hpp</a>.</p>

</div>
</div>
<hr/>Dokumentacja dla tej klasy została wygenerowana z plików:<ul>
<li><a class="el" href="_robot_data_8hpp_source.html">RobotData.hpp</a></li>
<li><a class="el" href="_robot_data_8cpp_source.html">RobotData.cpp</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="class_robot_data.html">RobotData</a></li>
    <li class="footer">Wygenerowano przez <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.7 </li>
  </ul>
</div>
</body>
</html>
